Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class OpenActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
              org.eclipse.ui.views.navigator.OpenActionGroup

public class OpenActionGroup
extends ResourceNavigatorActionGroup

This is the action group for the open actions.

Field Summary
`static String` | `OPEN_WITH_ID` The id for the Open With submenu.

Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`navigator`

Constructor Summary
`OpenActionGroup(IResourceNavigator navigator)`

Method Summary
`void` | `fillContextMenu(IMenuManager menu)` Adds the applicable actions to a context menu, based on the state of the `ActionContext`.
`protected void` | `makeActions()` Makes the actions contained in this action group.
`void` | `runDefaultAction(IStructuredSelection selection)` Runs the default action (open file).

Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`getImageDescriptor, getNavigator, handleKeyPressed`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillActionBars, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_WITH_ID

    public static final String OPEN_WITH_ID

  The id for the Open With submenu.

  See Also:
    Constant Field Values

Constructor Detail

### OpenActionGroup

    public OpenActionGroup(IResourceNavigator navigator)

Method Detail

### makeActions

    protected void makeActions()

  Description copied from class: `ResourceNavigatorActionGroup`
  Makes the actions contained in this action group.

  Specified by:
    `makeActions` in class `ResourceNavigatorActionGroup`

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Description copied from class: `ActionGroup`
  Adds the applicable actions to a context menu, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillContextMenu` in class `ActionGroup`
  Parameters:
    `menu` - the context menu manager

### runDefaultAction

    public void runDefaultAction(IStructuredSelection selection)

  Runs the default action (open file).

  Overrides:
    `runDefaultAction` in class `ResourceNavigatorActionGroup`
  Parameters:
    `selection` - the current selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.